import os

from game_object import *

class Kiss(GameObject):
    IMAGE = pygame.image.load(os.path.join("data", "kiss.png"))

    def __init__(self, woman, level, colnum, rownum, *groups):
        GameObject.__init__(self, level, colnum, rownum, *groups)

        self.woman = woman

    def init_image(self):
        self.image = self.IMAGE
        self.image.set_colorkey((1, 1, 1))
        self.image = self.image.convert_alpha()